Bitte um Hilfe beim npm Install

  • hmm also nach einem reboot startet der zwar wieder


    sh-4.2$ npm start



    > be.bastelstu.wcf.nodePush@1.2.0 start /var/www/vhosts/ns3220979.ip-37-59-6.eu/Brothers/wcf/acp/be.bastelstu.wcf.nodePush
    > coffee app.coffee



    nodePush (pid:5923)
    ===================
    warn: Could not find configuration file: errno=-2, code=ENOENT, syscall=lstat, path=/var/www/vhosts/ns3220979.ip-37-59-6.eu/Brothers/wcf/acp/be.bastelstu.wcf.nodePush/config
    info: Done


    tcp 0 0 0.0.0.0:9001 0.0.0.0:* LISTEN 10000 20525 5923/nodePush
    tcp 0 0 127.0.0.1:9002 0.0.0.0:* LISTEN 10000 20524 5923/nodePush


    die ports sind auch okay aber irgendwie läufts nicht mehr


    jemand ne idee?


    habs auch nochmal neuinstalliert und gestartet aber kein erfolg


    Gruß


    B-DeadAngel

  • Mein System:
    Burning Board®-Version 4.0.12
    Community Blog™-Version 2.0.12
    voolia News-System Version 1.0.4
    Tims Chat-Version 3.0.5
    Community Framework™-Version 2.0.13 (Maelstrom)



    Hallo,


    ich hoffe, meine Frage ist hier am richtigen Platz.


    Verständnis-Frage:
    Also, es gibt ja das nodePush-Plugin und dann noch ein Push-Plugin.
    1. Das node-Push-Plugin ist die Voraussetzung des Push-Plugin?
    2. Was ist der Unterschied bzw. was macht das nodePush-Plugin und das Push-Plugin?


    3. Dann noch, also serverseitig muss ich nichts installieren, genügt, wenn ich einen Shell-User für den Host anlege und dann das nodePush-Plugin über wcf/acp/ installiere, starte und stoppe?
    4. Welche Version ist für mein wbb4 lauffähig?



    Gruß pater

  • 1. Anders herum.
    2. Das Push-Plugin ist so etwas wie das API und damit die universelle Schnittstelle, nodePush ist eines (bisweilen das einzige) der verfügbaren Backends (Implementationen) der Push-API.


    3. Du benötigst selbstverständlich nodeJS und die erforderlichen Bibliotheken (die bei npm install aber automatisch abgefragt werden) um den nodeJS-Push-Server starten zu können.
    4. Hier bin ich überfragt.

  • Hallo,


    schwierig, kann mir jemand dabei helfen?


    Gruß pater


  • Hallo,


    ja, als Systembenutzer.


    Hier die Ausgabe nach dem npm Start:


    Gruß pater

  • Hallo,


    weiter oben fragte ich mal, welche Version ?


    Ich bin jetzt bei node.js 6 angekommen.


    Als User npm install:

    Bash
    web6@srv:/var/www/clients/client4/web6/web/wcf/acp/be.bastelstu.wcf.nodePush$ npm install
    npm WARN caterpillar-filter@3.0.0 requires a peer of caterpillar@^3.0.0 but none was installed.
    npm WARN caterpillar-human@3.0.0 requires a peer of caterpillar@^3.0.0 but none was installed.
    npm WARN be.bastelstu.wcf.nodePush@1.0.0 No repository field.
    npm WARN be.bastelstu.wcf.nodePush@1.0.0 No license field.



    Als User npm start:


    Code
    # node -v
    v0.10.24


    Gruß pater

    • Official Post

    Hi,


    das ist ein Problem einer Abhängigkeit, die wir zu ungenau spezifiziert hatten, in Verbindung mit deiner alten NodeJS-Version (du hast offensichtlich noch 0.10 :) ), da eine zu neue Version der Abhängigkeit geladen wurde. Leider weiß ich nicht, welche die aktuellste Version wäre, die mit dieser node-Version funktioniert, da müsste ich die Versionshistorie dieser Abhängigkeit abarbeiten :(
    Aber wenn ich mich korrekt erinnere, gab es dann wiederum eine Abhängigkeit, die mit aktuellen node-Versionen nicht mehr funktionierte (dazu sollte hier schon etwas im Forum stehen, inklusive Anleitung, um die Abhängigkeit zu entfernen, da diese nur dazu diente, um auf einen normalen Systembenutzer zu wechseln, falls der Prozess als root gestartet wurde. Aktuelle Versionen verweigern den Start dann aus Sicherheitsgründen einfach.
    Tim und ich werden diese Woche versuchen, nodePush 2.0 und Tims Chat 3.1 zu veröffentlichen. nodePush 2.0 läuft dann mit aktuellen node-Versionen.

  • Tim und ich werden diese Woche versuchen, nodePush 2.0 und Tims Chat 3.1 zu veröffentlichen.

    Hat sich in der demnächst veröffentlichten Version vom Chat noch irgendwas geändert? Momentan läuft ja noch die Beta bei uns.